Bug 205364 - (FC6_t2_x86-64_Java) Sun Java fails to run on FC6 t2 x86_64
Sun Java fails to run on FC6 t2 x86_64
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
6
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-06 08:31 EDT by Andy Bentley
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-09 10:11:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andy Bentley 2006-09-06 08:31:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.0.5) Gecko/20060730 Fedora/1.5.0.5-8 Firefox/1.5.0.5 pango-text

Description of problem:
>java
Java HotSpot(TM) 64-Bit Server VM warning: Attempt to allocate stack guard pages failed.
Error occurred during initialization of VM
Could not reserve enough space for code cache



Version-Release number of selected component (if applicable):
Fedora Core 6 test 2 64 bit

How reproducible:
Always


Steps to Reproduce:
1. Download & install Sun java 1.5
2. run alternatives java to make sym)links point to Sun java
3. run java

Actual Results:
Java HotSpot(TM) 64-Bit Server VM warning: Attempt to allocate stack guard pages failed.
Error occurred during initialization of VM
Could not reserve enough space for code cache

Expected Results:
get a usage report

Additional info:
Java HotSpot(TM) 64-Bit Server VM warning: Attempt to allocate stack guard pages failed.
Error occurred during initialization of VM
Could not reserve enough space for code cache
Comment 1 Thomas Fitzsimmons 2006-09-07 18:32:54 EDT
You may be able to work around this problem by changing an SELinux policy.
Comment 2 Daniel Walsh 2006-09-18 13:20:54 EDT
Where is the java installed.  It needs to be labeled java_exec_t to allow it to
allocate and execute stack memory.
Comment 3 Andy Bentley 2006-09-18 13:34:25 EDT
Changing the SELinux Policy to permissive allowed it to run
Comment 4 Daniel Walsh 2006-09-18 16:14:06 EDT
I understand that.  Also doing a chcon -t java_exec_t PATHTOJAVA 
would allow it to run, without changes the security of the system.

Did you install java in a non standard location?
Comment 5 Andy Bentley 2006-10-03 09:16:39 EDT
1. chcon -t java_exec_t /opt/dev_tools/jdk1.5.0_08/bin/java
2. reset SELinux to Enforcing
3. Sun Java 1.5_08 compiler now runs properly.

Comment 6 Daniel Walsh 2006-10-05 10:18:58 EDT
Latest policy would label this correctly

Fixed in selinux-policy-2.3.17-1
Comment 7 Matthew Miller 2007-04-06 15:01:47 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 8 Daniel Walsh 2007-04-09 10:11:51 EDT
All fixed in the current release

Note You need to log in before you can comment on or make changes to this bug.